## k3b 24.12.0

=== debian/changelog ===
k3b (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:04:22 +0000

k3b (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:02:58 +0000

k3b (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 20:55:08 +0000

k3b (24.08.3-0ubuntu3) plucky; urgency=medium

  * Restore building with QtWebEngine only on [amd64 arm64 armhf].

 -- Rik Mills <rikmills@kde.org>  Sun, 17 Nov 2024 13:40:13 +0000

k3b (24.08.3-0ubuntu2) plucky; urgency=medium

  * Sync changes from Debian.

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Nov 2024 06:39:18 +0000

k3b (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:36:21 +0000

k3b (24.08.2-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing dependencies to the dev package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 25 Oct 2024 09:22:33 +0200

k3b (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - libk3b-data to install qlogging files.
    - Update upstream signing key.
    - debian/patches: kubuntu_07_quicklists.diff
    - Only build depend on QtWebEngine on available architectures.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2024 20:10:37 +0000

k3b (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Drop unnecessary lintian override.
  * New upstream release (24.08.2).
  * Switch build to Qt6, update build-deps and deps with the info
    from cmake.
  * Fix permissions of installed files.
  * Add lintian overrides for data files wrongly identified as
    documentation.
  * Drop movixmaker-2 from Suggests, it’s not in Debian anymore.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Oct 2024 15:05:19 +0200

k3b (23.08.3-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Thu, 01 Feb 2024 16:29:00 +0000

=== debian/control ===
Source: k3b
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.1~),
               gettext,
               libavdevice-dev (>= 7:4.4.0~),
               libdvdread-dev,
               libflac++-dev,
               libflac-dev,
               libkcddb6-dev (>= 4:24.12.0~),
               libkf6archive-dev (>= 6.1~),
               libkf6auth-dev (>= 6.1~),
               libkf6completion-dev,
               libkf6config-dev (>= 6.1~),
               libkf6coreaddons-dev (>= 6.1~),
               libkf6doctools-dev (>= 6.1~),
               libkf6filemetadata-dev (>= 6.1~),
               libkf6i18n-dev (>= 6.1~),
               libkf6iconthemes-dev (>= 6.1~),
               libkf6jobwidgets-dev (>= 6.1~),
               libkf6kcmutils-dev (>= 6.1~),
               libkf6kio-dev (>= 6.1~),
               libkf6newstuff-dev (>= 6.1~),
               libkf6notifications-dev (>= 6.1~),
               libkf6notifyconfig-dev (>= 6.1~),
               libkf6solid-dev (>= 6.1~),
               libkf6widgetsaddons-dev (>= 6.1~),
               libkf6xmlgui-dev (>= 6.1~),
               libmad0-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libsamplerate0-dev,
               libsndfile1-dev,
               libtag1-dev,
               libvorbis-dev,
               qt6-base-dev (>= 6.6~),
               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf],
               shared-mime-info,
Standards-Version: 4.7.0
Homepage: https://userbase.kde.org/K3b
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Rules-Requires-Root: no

Package: k3b
Architecture: any
Depends: cdparanoia,
         cdrdao [linux-any],
         genisoimage,
         k3b-data (= ${source:Version}),
         libk3b8t64 (= ${binary:Version}),
         udisks2 [linux-any],
         wodim | cdrskin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dvd+rw-tools,
            growisofs,
            kde-config-cddb (>= 4:24.08.1~),
            libk3b-extracodecs,
            vcdimager,
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox,
Description: Sophisticated CD/DVD burning application
 K3b is a full-featured CD/DVD/Blu-ray burning and ripping application.
 It supports a variety of project types as well as copying of optical
 media, burning of different types of images, and ripping Audio CDs,
 Video CDs, and Video DVDs.
 Its convenient user interface is targeted at all audiences, trying to
 be as simple as possible for novice users, while also providing all
 features an advanced user might need.

Package: k3b-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: k3b, ${misc:Depends},
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: k3b, ${misc:Depends},
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libk3b8t64 (= ${binary:Version}),
         libkcddb6-dev (>= 4:24.12.0~),
         libkf6completion-dev,
         libkf6config-dev (>= 6.1~),
         libkf6coreaddons-dev (>= 6.1~),
         libkf6kcmutils-dev (>= 6.1~),
         libkf6kio-dev (>= 6.1~),
         libkf6widgetsaddons-dev (>= 6.1~),
         qt6-base-dev (>= 6.6~),
         ${misc:Depends},
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b8t64
Provides: ${t64:Provides}
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libk3b8 (<< ${source:Version}), libk3b7,
Replaces: libk3b8, libk3b7,
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains libraries data files.

Package: libk3b-extracodecs
Architecture: any
Multi-Arch: same
Depends: libk3b8t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Breaks: libk3b7-extracodecs,
Replaces: libk3b7-extracodecs,
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

## k3b 24.12.1

=== debian/changelog ===
k3b (24.12.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Use taglib 2.x build-dependency package name:
    libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Feb 2025 19:14:44 -0500

k3b (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 10:16:54 +0100

k3b (24.12.0-2) unstable; urgency=medium

  * Limit the qt6-webengine dependency to architectures where it’s
    available (amd64 arm64 armhf i386).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 20:38:15 +0100

k3b (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing dependencies to the dev package.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 00:15:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: k3b
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.1~),
                gettext,
                libavdevice-dev (>= 7:4.4.0~),
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:24.12.0~),
+               libkcddb6-dev (>= 4:5.1~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6completion-dev,
@@ -38,15 +37,15 @@
                libmpcdec-dev,
                libsamplerate0-dev,
                libsndfile1-dev,
-               libtag1-dev,
+               libtag-dev,
                libvorbis-dev,
                qt6-base-dev (>= 6.6~),
-               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf],
+               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf i386],
                shared-mime-info,
 Standards-Version: 4.7.0
 Homepage: https://userbase.kde.org/K3b
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/k3b.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/k3b
 Rules-Requires-Root: no
 
 Package: k3b
@@ -115,7 +114,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:24.12.0~),
+         libkcddb6-dev (>= 4:5.1~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),
@@ -133,13 +132,13 @@
  This package contains development files.
 
 Package: libk3b8t64
-Provides: ${t64:Provides}
+Provides: ${t64:Provides},
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libk3b8 (<< ${source:Version}), libk3b7,
-Replaces: libk3b8, libk3b7,
+Breaks: libk3b7, libk3b8 (<< ${source:Version}),
+Replaces: libk3b7, libk3b8,
 Description: KDE CD/DVD burning application library - runtime files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -147,19 +146,6 @@
  and the reasonable k3b defaults which allow a quick start.
  .
  This package contains runtime libraries.
-
-Package: libk3b-data
-Section: libs
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Description: KDE CD/DVD burning application library - runtime files
- K3b provides a comfortable user interface to perform most CD/DVD burning
- tasks. While the experienced user can take influence in all steps
- of the burning process the beginner may find comfort in the automatic settings
- and the reasonable k3b defaults which allow a quick start.
- .
- This package contains libraries data files.
 
 Package: libk3b-extracodecs
 Architecture: any

## k3b 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(k3b VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.6")
set(KF_MIN_VERSION "6.1")

set(KDE_COMPILERSETTINGS_LEVEL "5.84")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${ECM_MODULE_PATH}")

##################  K3b version  ################################
set(K3B_VERSION_STRING ${RELEASE_SERVICE_VERSION})

# increase on BC breakage
set(K3B_LIB_VERSION_MAJOR 8)

# increase after adding functionality
set(K3B_LIB_VERSION_MINOR 0)
set(K3B_LIB_VERSION_RELEASE 0)


##################  K3b options #################################
option(K3B_DEBUG "K3b additional debugging support" OFF)
if(K3B_DEBUG)
    add_definitions(-g)
endif()
option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)

# plugin options
option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN "Build Ogg-Vorbis decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN "Build Ogg-Vorbis encoder plugin" ON)
option(K3B_BUILD_MAD_DECODER_PLUGIN "Build MAD mp3 decoder plugin" ON)
option(K3B_BUILD_MUSE_DECODER_PLUGIN "Build Musepack decoder plugin" ON)
option(K3B_BUILD_FLAC_DECODER_PLUGIN "Build Flac decoder plugin" ON)
option(K3B_BUILD_SNDFILE_DECODER_PLUGIN "Build libsndfile decoder plugin" ON)
option(K3B_BUILD_LAME_ENCODER_PLUGIN "Build Lame encoder plugin" ON)
option(K3B_BUILD_SOX_ENCODER_PLUGIN "Build Sox encoder plugin" ON)
option(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN "Build external app encoder plugin" ON)
option(K3B_BUILD_WAVE_DECODER_PLUGIN "Build Wave decoder plugin" ON)

##################  K3b requirements #################################
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMEnableSanitizers)
include(ECMSetupQtPluginMacroNames)
include(ECMQtDeclareLoggingCategory)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive Auth Config CoreAddons DocTools FileMetaData I18n IconThemes JobWidgets
    KCMUtils KIO Notifications NewStuff NotifyConfig Solid WidgetsAddons XmlGui)

find_package(Qt6WebEngineWidgets)
set_package_properties(Qt6WebEngineWidgets PROPERTIES
    DESCRIPTION "QtWebEngineWidgets is used for prettier k3bdiskinfoview."
    TYPE OPTIONAL)
if(Qt6WebEngineWidgets_FOUND)
    add_definitions(-DHAVE_QTWEBENGINEWIDGETS)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")
if(WITH_NEW_SOLID_JOB)
    add_definitions(-DWITH_NEW_SOLID_JOB)
endif()

find_package(Iconv)
set(HAVE_ICONV "${ICONV_FOUND}")

find_package(Samplerate)
set_package_properties(Samplerate PROPERTIES
    DESCRIPTION "Audio sampling rate conversion."
    URL "http://www.mega-nerd.com/SRC"
    TYPE REQUIRED)

set(KCDDB_TARGET_NAME KCddb6)
find_package(KCddb6 5.1 REQUIRED)
set_package_properties(${KCDDB_TARGET_NAME} PROPERTIES
    DESCRIPTION "Latest branch for CDDB library"
    URL "https://commits.kde.org/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet.")

if(K3B_ENABLE_DVD_RIPPING)
    find_package(DvdRead)
    set_package_properties(DvdRead PROPERTIES
        DESCRIPTION "Libdvdread provides a simple foundation for reading DVD video disks."
        URL "https://www.videolan.org/developers/libdvdnav.html"
        TYPE OPTIONAL)

    set(ENABLE_DVD_RIPPING "${DVDREAD_FOUND}")
endif()

if(K3B_ENABLE_TAGLIB)
    find_package(Taglib)
    set_package_properties(Taglib PROPERTIES
        DESCRIPTION "Read and write tags in audio files"
        URL "https://taglib.org/"
        TYPE OPTIONAL)

    set(ENABLE_TAGLIB "${TAGLIB_FOUND}")
endif()

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN)
    find_package(FFmpeg 4.4.0)
    set_package_properties(FFmpeg PROPERTIES
        PURPOSE "Needed for the K3b FFmpeg decoder plugin which can decode virtually all audio types."
        URL "https://ffmpeg.org/"
        TYPE OPTIONAL)

    if(FFMPEG_FOUND)
        include(CheckSymbolExists)
        include(CMakePushCheckState)
        cmake_push_check_state()

        if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
            # FindKDE4Internal.cmake screws things up
            set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} -std=c99)
        endif()

        if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
            set(FFMPEG_HEADERS ffmpeg/avcodec.h ffmpeg/avformat.h)
        else()
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
            set(FFMPEG_HEADERS libavcodec/avcodec.h libavformat/avformat.h)
            set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -DNEWFFMPEGAVCODECPATH)
        endif()
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${FFMPEG_LIBRARIES})

        check_symbol_exists(avformat_open_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_OPEN_INPUT)
        check_symbol_exists(av_dump_format "${FFMPEG_HEADERS}" HAVE_FFMPEG_AV_DUMP_FORMAT)
        check_symbol_exists(avformat_find_stream_info "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_FIND_STREAM_INFO)
        check_symbol_exists(avformat_close_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_CLOSE_INPUT)
        check_symbol_exists(avcodec_open2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_OPEN2)
        include(CheckCSourceCompiles)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() { enum AVMediaType t = AVMEDIA_TYPE_UNKNOWN; return 0; }
            " HAVE_FFMPEG_AVMEDIA_TYPE)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() {
            #if LIBAVCODEC_BUILD >= AV_VERSION_INT(54,25,0)
            # Not needed here. AV_CODEC_ID_MP3 exists.
            #else
            enum CodecID t = CODEC_ID_MP3;
            #endif
            return 0;
            }
            " HAVE_FFMPEG_CODEC_MP3)

        cmake_pop_check_state()
    endif()

    set(BUILD_FFMPEG_DECODER_PLUGIN "${FFMPEG_FOUND}")
endif()

if(K3B_BUILD_FLAC_DECODER_PLUGIN)
    find_package(Flac)
    set_package_properties(Flac PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    find_package(Flac++)
    set_package_properties(Flac++ PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    if(FLAC_FOUND AND FLAC++_FOUND)
        set(BUILD_FLAC_DECODER_PLUGIN 1)
    endif()
endif()

if(K3B_BUILD_MAD_DECODER_PLUGIN)
    find_package(Mad)
    set_package_properties(Mad PROPERTIES
        PURPOSE "Needed for the mp3 audio decoder plugin."
        URL "https://www.underbit.com/products/mad"
        TYPE OPTIONAL)

    set(BUILD_MAD_DECODER_PLUGIN "${MAD_FOUND}")
endif()

if(K3B_BUILD_MUSE_DECODER_PLUGIN)
    find_package(Muse)
    set_package_properties(Muse PROPERTIES
        PURPOSE "Needed for the Musepack audio decoder plugin"
        URL "https://www.musepack.net/"
        TYPE OPTIONAL)

    set(BUILD_MUSE_DECODER_PLUGIN "${Muse_FOUND}")
endif()

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN)
    find_package(Sndfile)
    set_package_properties(Sndfile PROPERTIES
        PURPOSE "Needed for the libsndfile audio decoder plugin."
        URL "http://www.mega-nerd.com/libsndfile"
        TYPE OPTIONAL)

    set(BUILD_SNDFILE_DECODER_PLUGIN "${SNDFILE_FOUND}")
endif()

if(K3B_BUILD_LAME_ENCODER_PLUGIN)
    find_package(Lame)
    set_package_properties(Lame PROPERTIES
        DESCRIPTION "Lame mp3 encoder"
        PURPOSE "Needed for the lame mpf encoder encoder plugin."
        URL "https://lame.sourceforge.io/"
        TYPE OPTIONAL)

    set(BUILD_LAME_ENCODER_PLUGIN "${LAME_FOUND}")
endif()

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
    find_package(OggVorbis)
    set_package_properties(OggVorbis PROPERTIES
        DESCRIPTION "Ogg Vorbis"
        PURPOSE "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
        URL "https://xiph.org/vorbis/"
        TYPE OPTIONAL)

    set(BUILD_OGGVORBIS_DECODER_PLUGIN "${OGGVORBIS_FOUND}")
    set(BUILD_OGGVORBIS_ENCODER_PLUGIN "${OGGVORBIS_FOUND}")
endif()

###################  K3b build settings #################################
include(ConfigureChecks)

set(BUILD_WAVE_DECODER_PLUGIN "${K3B_BUILD_WAVE_DECODER_PLUGIN}")
set(BUILD_SOX_ENCODER_PLUGIN "${K3B_BUILD_SOX_ENCODER_PLUGIN}")
set(BUILD_EXTERNAL_ENCODER_PLUGIN "${K3B_BUILD_EXTERNAL_ENCODER_PLUGIN}")

set(ENABLE_HAL_SUPPORT "${K3B_ENABLE_HAL_SUPPORT}")
set(ENABLE_AUDIO_PLAYER "${QT_QTMULTIMEDIA_FOUND}")

if(IS_ABSOLUTE ${KDE_INSTALL_DATADIR})
  set(K3B_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/k3b)
else()
  set(K3B_DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR}/k3b)
endif()

configure_file(config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h)
include_directories(${CMAKE_BINARY_DIR})

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        K3B_EXPORT_PLUGIN
        K3B_EXPORT_PLUGIN_CONFIG_WIDGET
)

##################  K3b apidox ################################
if(K3B_BUILD_API_DOCS)
    find_package(Doxygen)

    if(DOXYGEN_EXECUTABLE)
        configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_BINARY_DIR}/Doxyfile)

        if(EXISTS ${QT_DOC_DIR}/html)
            set(QTDOCS "${QT_DOC_DIR}/html")
        else()
            set(QTDOCS "https://doc.qt.io/qt-5/")
        endif()

        add_custom_target(apidox
            COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
            COMMAND docs/html/installdox -l qt6.tag@${QTDOCS} docs/html/*.html)
    endif()
endif()

##################  K3b build environment ################################
add_subdirectory( libk3bdevice )
add_subdirectory( libk3b )
add_subdirectory( src )
add_subdirectory( kioworkers )
add_subdirectory( plugins )
add_subdirectory( doc )
if(BUILD_TESTING)
    find_package(Qt6Test REQUIRED)
    find_package(LibFuzzer)
    set_package_properties(LibFuzzer PROPERTIES
        PURPOSE "libFuzzer – a library for coverage-guided fuzz testing."
        URL "https://llvm.org/docs/LibFuzzer.html"
        TYPE OPTIONAL)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(
    EXPORT K3B
    FILE k3b.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)
kdoctools_install(po)

###################  K3b config summary ################################
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== libk3b/plugin/CMakeLists.txt ===

install( FILES
  k3bplugin.h
  k3bpluginmanager.h
  k3baudiodecoder.h
  k3baudioencoder.h
  k3bpluginconfigwidget.h
  k3bprojectplugin.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel )

=== libk3b/projects/CMakeLists.txt ===


add_subdirectory( datacd )
add_subdirectory( audiocd )
add_subdirectory( mixedcd )
add_subdirectory( movixcd )
add_subdirectory( videocd )
add_subdirectory( videodvd )


########### next target ###############


########### install files ###############

install( FILES
  k3bdoc.h
  k3bgrowisofswriter.h
  k3bcdrdaowriter.h
  k3bcdrecordwriter.h
  k3bcdrskinwriter.h
  k3binffilewriter.h
  k3btocfilewriter.h
  k3bcuefileparser.h
  k3bimagefilereader.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}
  COMPONENT Devel )

=== debian/changelog ===
k3b (24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 09:51:15 -0500

k3b (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:36:32 +0000

k3b (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:11:19 +0000

k3b (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:25:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: k3b
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.1~),
                gettext,
                libavdevice-dev (>= 7:4.4.0~),
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:5.1~),
+               libkcddb6-dev (>= 4:24.12.3~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6completion-dev,
@@ -37,15 +38,15 @@
                libmpcdec-dev,
                libsamplerate0-dev,
                libsndfile1-dev,
-               libtag-dev,
+               libtag1-dev,
                libvorbis-dev,
                qt6-base-dev (>= 6.6~),
-               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf i386],
+               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf],
                shared-mime-info,
 Standards-Version: 4.7.0
 Homepage: https://userbase.kde.org/K3b
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/k3b.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/k3b
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
 Rules-Requires-Root: no
 
 Package: k3b
@@ -114,7 +115,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:5.1~),
+         libkcddb6-dev (>= 4:24.12.3~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),
@@ -132,13 +133,13 @@
  This package contains development files.
 
 Package: libk3b8t64
-Provides: ${t64:Provides},
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libk3b7, libk3b8 (<< ${source:Version}),
-Replaces: libk3b7, libk3b8,
+Breaks: libk3b8 (<< ${source:Version}), libk3b7,
+Replaces: libk3b8, libk3b7,
 Description: KDE CD/DVD burning application library - runtime files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -146,6 +147,19 @@
  and the reasonable k3b defaults which allow a quick start.
  .
  This package contains runtime libraries.
+
+Package: libk3b-data
+Section: libs
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: KDE CD/DVD burning application library - runtime files
+ K3b provides a comfortable user interface to perform most CD/DVD burning
+ tasks. While the experienced user can take influence in all steps
+ of the burning process the beginner may find comfort in the automatic settings
+ and the reasonable k3b defaults which allow a quick start.
+ .
+ This package contains libraries data files.
 
 Package: libk3b-extracodecs
 Architecture: any

## k3b 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(k3b VERSION ${RELEASE_SERVICE_VERSION})
@@ -28,6 +28,7 @@
 
 
 ##################  K3b options #################################
+option(K3B_DOC "Whether to build the documentation" ON)
 option(K3B_DEBUG "K3b additional debugging support" OFF)
 if(K3B_DEBUG)
     add_definitions(-g)
@@ -62,8 +63,16 @@
 include(ECMQtDeclareLoggingCategory)
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui)
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive Auth Config CoreAddons DocTools FileMetaData I18n IconThemes JobWidgets
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive Auth Config CoreAddons FileMetaData I18n IconThemes JobWidgets
     KCMUtils KIO Notifications NewStuff NotifyConfig Solid WidgetsAddons XmlGui)
+
+if(K3B_DOC)
+  find_package(KF6DocTools ${KF_MIN_VERSION})
+  set_package_properties(KF6DocTools PROPERTIES
+    DESCRIPTION "Tools to generate documentation"
+    TYPE REQUIRED
+  )
+endif()
 
 find_package(Qt6WebEngineWidgets)
 set_package_properties(Qt6WebEngineWidgets PROPERTIES
@@ -302,7 +311,6 @@
 add_subdirectory( src )
 add_subdirectory( kioworkers )
 add_subdirectory( plugins )
-add_subdirectory( doc )
 if(BUILD_TESTING)
     find_package(Qt6Test REQUIRED)
     find_package(LibFuzzer)
@@ -319,8 +327,12 @@
     DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
 )
 
+if(K3B_DOC)
+    add_subdirectory(doc)
+    kdoctools_install(po)
+endif()
+
 ki18n_install(po)
-kdoctools_install(po)
 
 ###################  K3b config summary ################################
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== libk3b/projects/videocd/CMakeLists.txt ===
add_subdirectory( cdi )
add_subdirectory( extra )

install(FILES k3bvcdjob.h k3bvcddoc.h k3bvcdoptions.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

=== plugins/decoder/flac/CMakeLists.txt ===

check_cxx_source_compiles("
#include <FLAC++/metadata.h>
int main()
{
    FLAC::Metadata::VorbisComment* vc;
    vc->get_vendor_string().get_field();
    return 0;
}
" FLAC_LESS_THAN_1_1_1)

if(NOT FLAC_LESS_THAN_1_1_1)
    set(FLAC_NEWER_THAN_1_1_1 1)
endif()

configure_file(config-flac.h.cmake config-flac.h)

kcoreaddons_add_plugin(k3bflacdecoder
    SOURCES k3bflacdecoder.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_include_directories(k3bflacdecoder PRIVATE ${FLAC++_INCLUDE_DIR} ${FLAC_INCLUDE_DIR})

target_link_libraries(k3bflacdecoder k3bdevice k3blib KF6::I18n ${FLAC++_LIBRARIES} ${FLAC_LIBRARIES})

if(ENABLE_TAGLIB)
    target_link_libraries(k3bflacdecoder Taglib::Taglib)
endif()

=== debian/changelog ===
k3b (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:25:18 +0200

k3b (24.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Apr 2025 17:43:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: k3b
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.1~),
                gettext,
                libavdevice-dev (>= 7:4.4.0~),
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:24.12.3~),
+               libkcddb6-dev (>= 4:5.1~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6completion-dev,
@@ -38,15 +37,15 @@
                libmpcdec-dev,
                libsamplerate0-dev,
                libsndfile1-dev,
-               libtag1-dev,
+               libtag-dev,
                libvorbis-dev,
                qt6-base-dev (>= 6.6~),
-               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf],
+               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf i386],
                shared-mime-info,
-Standards-Version: 4.7.0
-Homepage: https://userbase.kde.org/K3b
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/k3b/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/k3b.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/k3b
 Rules-Requires-Root: no
 
 Package: k3b
@@ -115,7 +114,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:24.12.3~),
+         libkcddb6-dev (>= 4:5.1~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),
@@ -133,13 +132,13 @@
  This package contains development files.
 
 Package: libk3b8t64
-Provides: ${t64:Provides}
+Provides: ${t64:Provides},
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libk3b8 (<< ${source:Version}), libk3b7,
-Replaces: libk3b8, libk3b7,
+Breaks: libk3b7, libk3b8 (<< ${source:Version}),
+Replaces: libk3b7, libk3b8,
 Description: KDE CD/DVD burning application library - runtime files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -147,19 +146,6 @@
  and the reasonable k3b defaults which allow a quick start.
  .
  This package contains runtime libraries.
-
-Package: libk3b-data
-Section: libs
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Description: KDE CD/DVD burning application library - runtime files
- K3b provides a comfortable user interface to perform most CD/DVD burning
- tasks. While the experienced user can take influence in all steps
- of the burning process the beginner may find comfort in the automatic settings
- and the reasonable k3b defaults which allow a quick start.
- .
- This package contains libraries data files.
 
 Package: libk3b-extracodecs
 Architecture: any

## k3b 25.04.3

=== debian/changelog ===
k3b (25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 02 Sep 2025 15:01:16 +0200

## k3b 25.07.80

=== debian/changelog ===
k3b (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:03:36 +0100

k3b (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:37:05 +0100

k3b (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:38:45 +0100

k3b (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:01:37 +0100

k3b (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:42:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: k3b
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.1~),
                gettext,
                libavdevice-dev (>= 7:4.4.0~),
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:5.1~),
+               libkcddb6-dev (>= 4:25.07.80~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6completion-dev,
@@ -37,15 +38,15 @@
                libmpcdec-dev,
                libsamplerate0-dev,
                libsndfile1-dev,
-               libtag-dev,
+               libtag1-dev,
                libvorbis-dev,
                qt6-base-dev (>= 6.6~),
-               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf i386],
+               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf],
                shared-mime-info,
-Standards-Version: 4.7.2
-Homepage: https://apps.kde.org/k3b/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/k3b.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/k3b
+Standards-Version: 4.7.0
+Homepage: https://userbase.kde.org/K3b
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
 Rules-Requires-Root: no
 
 Package: k3b
@@ -114,7 +115,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:5.1~),
+         libkcddb6-dev (>= 4:25.07.80~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),
@@ -132,13 +133,13 @@
  This package contains development files.
 
 Package: libk3b8t64
-Provides: ${t64:Provides},
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libk3b7, libk3b8 (<< ${source:Version}),
-Replaces: libk3b7, libk3b8,
+Breaks: libk3b8 (<< ${source:Version}), libk3b7,
+Replaces: libk3b8, libk3b7,
 Description: KDE CD/DVD burning application library - runtime files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -146,6 +147,19 @@
  and the reasonable k3b defaults which allow a quick start.
  .
  This package contains runtime libraries.
+
+Package: libk3b-data
+Section: libs
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: KDE CD/DVD burning application library - runtime files
+ K3b provides a comfortable user interface to perform most CD/DVD burning
+ tasks. While the experienced user can take influence in all steps
+ of the burning process the beginner may find comfort in the automatic settings
+ and the reasonable k3b defaults which allow a quick start.
+ .
+ This package contains libraries data files.
 
 Package: libk3b-extracodecs
 Architecture: any

## k3b 25.07.90

=== debian/changelog ===
k3b (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:29:17 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.07.80~),
+               libkcddb6-dev (>= 4:25.07.90~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6completion-dev,
@@ -115,7 +115,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.07.80~),
+         libkcddb6-dev (>= 4:25.07.90~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),

## k3b 25.08.0

=== libk3bdevice/CMakeLists.txt ===

add_library(k3bdevice SHARED
    k3bdevice.cpp
    k3bdevice_mmc.cpp
    k3bscsicommand.cpp
    k3btrack.cpp
    k3btoc.cpp
    k3bdevicemanager.cpp
    k3bmsf.cpp
    k3bdiskinfo.cpp
    k3bdeviceglobals.cpp
    k3bcrc.cpp
    k3bcdtext.cpp
)

target_include_directories(k3bdevice PUBLIC .)

target_link_libraries(k3bdevice
    PUBLIC
        Qt6::Core
    PRIVATE
        KF6::ConfigCore
        KF6::I18n
        KF6::KIOCore
        KF6::Solid
)

if(CMAKE_SYSTEM_NAME MATCHES "k?FreeBSD")
    target_link_libraries(k3bdevice PRIVATE cam)
endif()

set_target_properties(k3bdevice PROPERTIES
    VERSION ${K3B_LIB_VERSION_MAJOR}.${K3B_LIB_VERSION_MINOR}.${K3B_LIB_VERSION_RELEASE}
    SOVERSION ${K3B_LIB_VERSION_MAJOR}
)

generate_export_header(k3bdevice
    EXPORT_MACRO_NAME LIBK3BDEVICE_EXPORT
    DEPRECATED_MACRO_NAME LIBK3BDEVICE_EXPORT_DEPRECATED
    EXPORT_FILE_NAME k3bdevice_export.h
)

install(TARGETS k3bdevice ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/k3bdevice_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

install(FILES
    k3bdevicemanager.h
    k3bdevice.h
    k3btoc.h
    k3btrack.h
    k3bdeviceglobals.h
    k3bdiskinfo.h
    k3bcdtext.h
    k3bmsf.h
    k3bdevicetypes.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel
)

=== debian/changelog ===
k3b (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.07.90~),
+               libkcddb6-dev (>= 4:25.08.0~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6completion-dev,
@@ -115,7 +115,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.07.90~),
+         libkcddb6-dev (>= 4:25.08.0~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),
